# FunctionAlias

Represents a user-defined function, or alias.

Methods
static FunctionAlias | newInstance(Schema schema, int id, String name, String javaClassMethod, boolean force, boolean bufferResultSetToLocalTemp) Create a new alias based on a method name.

static FunctionAlias

newInstance(Schema schema, int id, String name, String javaClassMethod, boolean force, boolean bufferResultSetToLocalTemp)
Create a new alias based on a method name.
Parameters:
schema - the schema
id - the id
name - the name
javaClassMethod - the class and method name
force - create the object even if the class or method does not exist
bufferResultSetToLocalTemp - whether the result should be buffered
Returns:
the database object

static FunctionAlias | newInstanceFromSource(Schema schema, int id, String name, String source, boolean force, boolean bufferResultSetToLocalTemp) Create a new alias based on source code.

static FunctionAlias

newInstanceFromSource(Schema schema, int id, String name, String source, boolean force, boolean bufferResultSetToLocalTemp)
Create a new alias based on source code.
Parameters:
schema - the schema
id - the id
name - the name
source - the source code
force - create the object even if the class or method does not exist
bufferResultSetToLocalTemp - whether the result should be buffered
Returns:
the database object

void | checkRename()
void | checkRename()
FunctionAlias.JavaMethod | findJavaMethod(Expression[] args) Find the Java method that matches the arguments.
FunctionAlias.JavaMethod | findJavaMethod(Expression[] args) Find the Java method that matches the arguments. Parameters: args - the argument list Returns: the Java method Throws: DbException - if no matching method could be found
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
String | getJavaClassName()
String | getJavaClassName()
String | getJavaMethodName()
String | getJavaMethodName()
FunctionAlias.JavaMethod[] | getJavaMethods() Get the Java methods mapped by this function.
FunctionAlias.JavaMethod[] | getJavaMethods() Get the Java methods mapped by this function. Returns: the Java methods.
String | getSQL()
String | getSQL()
String | getSource()
String | getSource()
int | getType()
int | getType()
boolean | isBufferResultSetToLocalTemp() Should the return value ResultSet be buffered in a local temporary file?
boolean | isBufferResultSetToLocalTemp() Should the return value ResultSet be buffered in a local temporary file? Returns: true if yes
boolean | isDeterministic()
boolean | isDeterministic()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)
void | setDeterministic(boolean deterministic)
void | setDeterministic(boolean deterministic)